<div class="create-page" *ngIf="!isDrawDetail && !isResponsible">

    <div class="d-flex justify-content-between align-items-center title">

        <div class="d-flex align-items-center pointer" (click)="onBack()">
            <span class="material-symbols-outlined icon-back">
                arrow_back_ios_new
            </span>
            <strong><small>รายละเอียดเหตุการณ์</small></strong>
        </div>
    </div>

    <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start" style="height:calc(100% - 45px);"
        (selectedTabChange)="onTabChange($event)" animationDuration="0ms">
        <mat-tab label="รายละเอียด">
            <div style="height:calc(100vh - 170px) ;overflow-x: hidden; border-top: 1px solid #e6e6e6">
                <div class="location d-flex align-items-center justify-content-between">
                    <div class="d-flex align-items-center">
                        <span class="material-symbols-outlined">
                            location_on
                        </span>
                        <div>
                            <span *ngIf="location == null" class="d-flex  align-items-center" style="width: 250px;">

                                <small class="mr-3">lat</small>
                                <mat-form-field appearance="outline" style="width: 50%;" class="mr-3">
                                    <input matInput type="number" placeholder=" " [(ngModel)]="lat"
                                        (input)="onLocationFormChange()">
                                </mat-form-field>
                                <small class="mr-3">lon</small>
                                <mat-form-field appearance="outline" style="width: 50%;">
                                    <input matInput type="number" placeholder=" " [(ngModel)]="lon"
                                        (input)="onLocationFormChange()">
                                </mat-form-field>

                            </span>
                            <small *ngIf="location != null">
                                Long : <strong>{{location.lon.toFixed(6)}}</strong> Lat :
                                <strong>{{location.lat.toFixed(6)}}</strong><br>
                                {{ location.address }}
                            </small>
                        </div>
                    </div>
                    <div *ngIf="location != null">
                        <span class="material-symbols-outlined pointer " (click)="onDeleteLocation()">
                            cancel
                        </span>
                    </div>

                    <div class="">
                        <small class="select-location pointer" (click)="onSelectLocation()"
                            *ngIf="locationFromMap != null && !isLoadingGetlocation">เลือก</small>

                        <div *ngIf="isLoadingGetlocation" class="spinner-border text-warning spinner-border-sm"
                            role="status">
                            <span class="sr-only"></span>
                        </div>
                    </div>
                </div>
                <form [formGroup]="createEventForm">
                    <div class="event-name">
                        <small>ชื่อเหตุการณ์ *</small>
                        <mat-form-field appearance="outline" style="width: 100%;">
                            <input matInput placeholder=" " formControlName="name">
                        </mat-form-field>
                    </div>

                    <div class="event-name">
                        <small>ประเภทภัย *</small><br>
                        <mat-form-field appearance="outline" style="width: 100%;">
                            <mat-select formControlName="eventType">
                                <mat-option [value]="item.id" *ngFor="let item of eventTypeList"
                                    style="font-size: 12px; min-height: 30px;">
                                    {{item.incidentType}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                        <mat-form-field *ngIf="createEventForm.value.eventType == 15 " appearance="outline"
                            style="width: 100%; margin-top: 5px;">
                            <input matInput placeholder="ภัยอื่นๆ ">
                        </mat-form-field>
                    </div>

                    <div class="event-name d-flex">
                        <div style="margin-right: 10px;">
                            <small>วันที่เกิดเหตุ *</small><br>
                            <mat-form-field appearance="outline" style="width: 200px;">
                                <input matInput [matDatepicker]="picker" formControlName="date">
                                <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
                                <mat-datepicker #picker></mat-datepicker>
                            </mat-form-field>
                        </div>
                        <div style="width: 50%;">
                            <small>เวลา *</small><br>
                            <div class="time-box r" [ngClass]="{'time-box-disable' :dataEdit.id != undefined}">
                                <app-time-picker (eventTime)="onTimeChange($event)" [time]="time"
                                    [disable]="dataEdit.id != undefined"></app-time-picker>
                            </div>
                        </div>
                    </div>


                    <div class="event-name">
                        <small>สถานที่เกิดเหตุ *</small>
                        <mat-form-field appearance="outline"
                            style="width: 100%;  height: 65px !important; padding: 0px !important;">
                            <textarea matInput style=" height: 65px" formControlName="location"></textarea>
                        </mat-form-field>
                    </div>

                    <div class="event-name">
                        <small>หน่วยงานที่รับผิดชอบ *</small>
                        <mat-form-field appearance="outline" style="width: 100%;">
                            <input matInput placeholder=" " formControlName="respOrg">
                        </mat-form-field>
                    </div>

                    <div class="event-name">
                        <small>รายละเอียด</small>
                        <mat-form-field appearance="outline"
                            style="width: 100%;  height: 65px !important; padding: 0px !important;">
                            <textarea matInput style=" height: 65px" formControlName="description"></textarea>
                        </mat-form-field>
                    </div><br>
                </form>
                <div class="draw d-flex justify-content-between " *ngIf="dataEdit.id != undefined">
                    <small>วาดข้อมูลประกอบ</small>
                    <span class="material-symbols-outlined pointer" (click)="drawDetail()">
                        navigate_next
                    </span>
                </div>

                <div class="event-name">
                    <small>ไฟล์ประกอบ</small><br>
                    <small>วิดีโอ Link </small>
                    <mat-form-field class="mb-3" appearance="outline" style="width: 100%;">
                        <input matInput placeholder="Link" [(ngModel)]="videoLink">
                    </mat-form-field>

                    <button class="btn-file" mat-raised-button style="margin-top: 3px" (click)="onPickFile()">เลือกไฟล์
                    </button>

                    <input #fileUpload type="file" accept="image/*,.pdf" style="display: none" multiple
                        (input)="handleFileBaseChange($event)" />

                    <div class="row" *ngIf="fileDisplay.length > 0">
                        <br>
                        <div class="file-item d-flex justify-content-center  align-items-center"
                            *ngFor="let item of fileDisplay">
                            <img *ngIf="item.type !='application/pdf'" [src]="item.src" style="width: 100%;"
                                (click)="onOpenImage(item)">
                            <div class=" text-center" *ngIf="item.type == 'application/pdf'">
                                <img src="../../../assets/image/pdf.png" style="width: 50%;"
                                    (click)="onOpenPDF(item)"><br>
                                <small>{{item.name}}</small>
                            </div>

                            <div class="btn-delete d-flex justify-content-center align-items-center"
                                (click)="onDeleteImage(item)">
                                <span class="material-symbols-outlined">
                                    close
                                </span>
                            </div>
                        </div>
                        <br><br>
                    </div>
                </div><br>


                <div class="analy-data">
                    <div class="analy-text text-center">
                        <small class="">วิเคราะห์ข้อมูล</small>
                    </div>
                </div>


                <div class="draw d-flex justify-content-between " *ngIf="dataEdit.id != undefined">
                    <span class="d-flex">
                        <span class="material-symbols-outlined mr-3">
                            domain
                        </span>
                        <div>
                            <small>พื้นที่ของหน่วยงานที่รับผิดชอบ</small>
                        </div>
                    </span>
                    <span class="material-symbols-outlined pointer" (click)="onOpenResponsible('boundarie')">
                        navigate_next
                    </span>
                </div>
                <div class="draw d-flex justify-content-between " *ngIf="dataEdit.id != undefined">
                    <span class="d-flex">
                        <span class="material-symbols-outlined mr-3">
                            home
                        </span>
                        <div>
                            <small>สถานที่ที่ได้รับผลกระทบ</small>
                        </div>
                    </span>
                    <span class="material-symbols-outlined pointer" (click)="onOpenResponsible('location')">
                        navigate_next
                    </span>
                </div>
                <br>





                <div class="event-name d-flex justify-content-center">
                    <button class="btn-save" mat-raised-button style="margin-top: 3px;"
                        [disabled]="createEventForm.invalid || location == null || isLoading" (click)="onSave()"><small
                            *ngIf="!isLoading">บันทึก</small>
                        <div *ngIf="isLoading" class="spinner-border text-warning spinner-border-sm" role="status">
                            <span class="sr-only"></span>
                        </div>
                    </button>
                </div>
            </div>
        </mat-tab>

        <mat-tab label="รายงาน" *ngIf="dataEdit.id !=  undefined ">
            <div style="height:calc(100vh - 170px) ;overflow-x: hidden; border-top: 1px solid #e6e6e6"
                *ngIf="currentTab == 1">
                <app-report [incident]="dataEdit"></app-report>
            </div>
        </mat-tab>

        <mat-tab label="ความเสียหาย" *ngIf=" dataEdit.id !=  undefined">
            <div style="height:calc(100vh - 170px) ;overflow-x: hidden; border-top: 1px solid #e6e6e6"
                *ngIf="currentTab == 2">
                <app-damage [incident]="dataEdit"></app-damage>
            </div>
        </mat-tab>
    </mat-tab-group>
</div>


<div class="create-page" *ngIf="isDrawDetail">

    <div class="d-flex justify-content-between align-items-center title">

        <div class="d-flex align-items-center pointer" (click)="closeDrawDetail()">
            <span class="material-symbols-outlined icon-back">
                arrow_back_ios_new
            </span>
            <strong><small>วาดข้อมูลประกอบ</small></strong>
        </div>
    </div>

    <div style="height:calc(100% - 45px)">
        <app-draw-detail [incident]="dataEdit"></app-draw-detail>
    </div>
</div>

<div class="responsible-repot" *ngIf="isResponsible">
    <app-responsible [incident]="dataEdit" [type]="responsibleType"
        (eventBack)="onResponsibleClose()"></app-responsible>
</div>